clear all;

mesh.Coordinates = [0 0; 1 0; 1 1; 0 1];
mesh.Elements = [1 2 4; 2 3 4];
mesh = add_Edges(mesh);
loc = get_BdEdges(mesh);
mesh.BdFlags = zeros(size(mesh.Edges,1),1);
mesh.BdFlags(loc) = -1;
[A,B] = compGalMats(mesh);
fprintf('## compGalMats\n');
round(full(2*A))
round(full(6*B))

u = [2; 0.5; 0.5; 1];
mf = RadTEvl(u, mesh, 1, 5);
fprintf('## RadTEvl\n');
mf'

[mf,errs] = RadTEvlNorm(u, mesh, 1, 5);
fprintf('## RadTEvlNorm\n');
mf'
errs
