load('sqrmesh0.mat');
mesh.ElemFlag = ones(size(mesh.Elements,1),1);
mesh = add_Edges(mesh);
mesh = add_Edge2Elem(mesh);
loc = get_BdEdges(mesh);
mesh.BdFlags = zeros(size(mesh.Edges,1),1);
mesh.BdFlags(loc) = [-1; -1; -1; -1];

for i = 1:4
    mesh = refine_REG(mesh);
end

mesh = add_Edge2Elem(mesh);

A_hd = @(x,varargin) [2 0; 0 1];
v_hd = @(x,varargin) [1; 1];
f_hd = @(x,varargin) ones(size(x,1),1);
g_hd = @(x,varargin) zeros(size(x,1),1);

u = solveellbvp(mesh, A_hd, v_hd, f_hd, g_hd);
  
plot_LFE(u, mesh); colorbar;
plotLine_LFE(u, mesh, [0 0], [1 1]);
