load('sqrmesh0.mat');
mesh.ElemFlag = ones(size(mesh.Elements,1),1);
mesh = add_Edges(mesh);
mesh = add_Edge2Elem(mesh);
loc = get_BdEdges(mesh);
mesh.BdFlags = zeros(size(mesh.Edges,1),1);
mesh.BdFlags(loc) = [-1; -1; -1; -1];

mesh1 = refine_REG(mesh);
mesh2 = refine_REG(mesh1);

mesh1 = add_Edge2Elem(mesh1);
mesh2 = add_Edge2Elem(mesh2);

A_hd = @(x,varargin) [2 0; 0 1];
v_hd = @(x,varargin) [1; 1];
f_hd = @(x,varargin) ones(size(x,1),1);
g1_hd = @(x,varargin) zeros(size(x,1),1);
g2_hd = @(x,varargin) sum(x.^2,2);

fprintf('## solveadvbvp\n');
u = solveadvbvp(mesh1, v_hd, g2_hd);
[find(u), u(find(u))]

fprintf('## solveadvlsq\n');
u = solveadvlsq(mesh2, v_hd, f_hd);
[find(u), u(find(u))]
